Get the bot of a subscription

GET https://api.cryptohopper.com/v1/subscription/{subscription_id}/hopper

Returns the ID of the bot a subscription is assigned to. A subscription without a bot returns 404.

OAuth scope: read About scopes

Example request

curl "https://api.cryptohopper.com/v1/subscription/SUBSCRIPTION_ID/hopper" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
subscription_id string Required ID of the subscription.

Response

Example response (illustrative values)

{
    "data": {
        "subscription_id": "466000",
        "hopper_id": "987654"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.